use binrw::BinReaderExt;

#[derive(Debug)]
pub enum Error{
	InvalidHeader,
}

/*
BLOCK_DEMO_HEADER:
u128 map_resource_id
u64 map_header_block_id
u32 num_bots
for bot_id in 0..num_bots{
	u128 bot_resource_id
	u64 bot_header_block_id
}

//bot loading timeline
how to do worldstate for deathrun!?

*/

pub struct StreamableDemo<R:BinReaderExt>{
	map:Box<crate::map::StreamableMap<R>>,
	bots:Vec<crate::bot::StreamableBot<R>>,
}
impl<R:BinReaderExt> StreamableDemo<R>{
	pub(crate) fn new(file:crate::file::File<R>)->Result<Self,Error>{
		Err(Error::InvalidHeader)
	}
}
